JBossRelationTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jboss.ejb.JBossRelationTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jboss.ejb
Class JBossRelationTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.RelationTagsHandler
                      xdoclet.modules.jboss.ejb.JBossRelationTagsHandler

public class JBossRelationTagsHandler
extends RelationTagsHandler

Version:
  $Revision: 1.12 $
Author:
  David Budworth
xdoclet.taghandler
  namespace="JBEjbRel"
created
  Feb 4, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`RelationTagsHandler.RelationHolder`

Field Summary

Fields inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`currentRelation, relationMap`

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JBossRelationTagsHandler()`

Method Summary
`String` | `fkColumn()` Describe what the method does
`void` | `forAllLeftForeignKeys(String template)` Describe what the method does
`void` | `forAllRightForeignKeys(String template)` Describe what the method does
`void` | `ifHasJdbcType(String template, Properties attributes)`
`void` | `ifHasRelationTableAttribute(String template, Properties attributes)`
`void` | `ifHasSqlType(String template, Properties attributes)`
`void` | `ifIsForeignKeyMapping(String template)`
`void` | `ifIsLeftBatchCascadeDelete(String template)`
`void` | `ifIsRelationTableMapping(String template)`
`void` | `ifIsRightBatchCascadeDelete(String template)`
`void` | `ifLeftHasFK(String template)` Describe what the method does
`void` | `ifLeftHasFKConstraint(String template)` Describe what the method does
`void` | `ifLeftHasReadAhead(String template)`
`void` | `ifLeftHasReadAheadEagerLoadGroup(String template)`
`void` | `ifLeftHasReadAheadPageSize(String template)`
`void` | `ifNotIsForeignKeyMapping(String template)`
`void` | `ifNotIsRelationTableMapping(String template)`
`void` | `ifNotLeftHasFK(String template)` Describe what the method does
`void` | `ifNotRightHasFK(String template)` Describe what the method does
`void` | `ifRightHasFK(String template)` Describe what the method does
`void` | `ifRightHasFKConstraint(String template)` Describe what the method does
`void` | `ifRightHasReadAhead(String template)`
`void` | `ifRightHasReadAheadEagerLoadGroup(String template)`
`void` | `ifRightHasReadAheadPageSize(String template)`
`String` | `jdbcType()`
`String` | `leftFKConstraint()` Describe what the method does
`String` | `leftReadAheadEagerLoadGroup()`
`String` | `leftReadAheadPageSize()`
`String` | `leftReadAheadStrategy()`
`String` | `relatedPKField()` Describe what the method does
`String` | `relationTableAttribute(Properties attributes)`
`String` | `rightFKConstraint()` Describe what the method does
`String` | `rightReadAheadEagerLoadGroup()`
`String` | `rightReadAheadPageSize()`
`String` | `rightReadAheadStrategy()`
`String` | `sqlType()`

Methods inherited from class xdoclet.modules.ejb.dd.RelationTagsHandler
`forAllRelationships, hasRelationships, ifHasLeftRoleName, ifHasRelationships, ifHasRightRoleName, ifIsBidirectional, ifIsLeftMany, ifIsMany2Many, ifIsNotACollection, ifIsOne2Many, ifIsOne2One, ifIsRightMany, ifIsUnidirectional, ifLeftCascadeDelete, ifLeftNavigable, ifNotHasRelationships, ifNotIsMany2Many, ifNotIsOne2Many, ifNotIsOne2One, ifRightCascadeDelete, ifRightNavigable, isSetOrCollection, leftEJBName, leftFieldName, leftFieldType, leftMultiplicity, leftRoleName, relationComment, relationName, rightEJBName, rightFieldName, rightFieldType, rightMultiplicity, rightRoleName`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossRelationTagsHandler

    public JBossRelationTagsHandler()

Method Detail

### relationTableAttribute

    public String relationTableAttribute(Properties attributes)
                                  throws XDocletException

  Throws:
    `XDocletException`

### ifHasRelationTableAttribute

    public void ifHasRelationTableAttribute(String template,
                                            Properties attributes)
                                     throws XDocletException

  Throws:
    `XDocletException`

### ifNotLeftHasFK

    public void ifNotLeftHasFK(String template)
                        throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifNotRightHasFK

    public void ifNotRightHasFK(String template)
                         throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifLeftHasFK

    public void ifLeftHasFK(String template)
                     throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifRightHasFK

    public void ifRightHasFK(String template)
                      throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifLeftHasReadAhead

    public void ifLeftHasReadAhead(String template)
                            throws XDocletException

  Throws:
    `XDocletException`

### ifRightHasReadAhead

    public void ifRightHasReadAhead(String template)
                             throws XDocletException

  Throws:
    `XDocletException`

### ifLeftHasReadAheadPageSize

    public void ifLeftHasReadAheadPageSize(String template)
                                    throws XDocletException

  Throws:
    `XDocletException`

### ifRightHasReadAheadPageSize

    public void ifRightHasReadAheadPageSize(String template)
                                     throws XDocletException

  Throws:
    `XDocletException`

### ifLeftHasReadAheadEagerLoadGroup

    public void ifLeftHasReadAheadEagerLoadGroup(String template)
                                          throws XDocletException

  Throws:
    `XDocletException`

### ifRightHasReadAheadEagerLoadGroup

    public void ifRightHasReadAheadEagerLoadGroup(String template)
                                           throws XDocletException

  Throws:
    `XDocletException`

### forAllLeftForeignKeys

    public void forAllLeftForeignKeys(String template)
                               throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllRightForeignKeys

    public void forAllRightForeignKeys(String template)
                                throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### relatedPKField

    public String relatedPKField()

  Describe what the method does

  Returns:
    Describe the return value

### fkColumn

    public String fkColumn()

  Describe what the method does

  Returns:
    Describe the return value

### ifLeftHasFKConstraint

    public void ifLeftHasFKConstraint(String template)
                               throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### ifRightHasFKConstraint

    public void ifRightHasFKConstraint(String template)
                                throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### leftFKConstraint

    public String leftFKConstraint()
                            throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### rightFKConstraint

    public String rightFKConstraint()
                             throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### leftReadAheadStrategy

    public String leftReadAheadStrategy()
                                 throws XDocletException

  Throws:
    `XDocletException`

### rightReadAheadStrategy

    public String rightReadAheadStrategy()
                                  throws XDocletException

  Throws:
    `XDocletException`

### leftReadAheadPageSize

    public String leftReadAheadPageSize()
                                 throws XDocletException

  Throws:
    `XDocletException`

### rightReadAheadPageSize

    public String rightReadAheadPageSize()
                                  throws XDocletException

  Throws:
    `XDocletException`

### leftReadAheadEagerLoadGroup

    public String leftReadAheadEagerLoadGroup()
                                       throws XDocletException

  Throws:
    `XDocletException`

### rightReadAheadEagerLoadGroup

    public String rightReadAheadEagerLoadGroup()
                                        throws XDocletException

  Throws:
    `XDocletException`

### ifIsRelationTableMapping

    public void ifIsRelationTableMapping(String template)
                                  throws XDocletException

  Throws:
    `XDocletException`

### ifNotIsRelationTableMapping

    public void ifNotIsRelationTableMapping(String template)
                                     throws XDocletException

  Throws:
    `XDocletException`

### ifIsRightBatchCascadeDelete

    public void ifIsRightBatchCascadeDelete(String template)
                                     throws XDocletException

  Throws:
    `XDocletException`

### ifIsLeftBatchCascadeDelete

    public void ifIsLeftBatchCascadeDelete(String template)
                                    throws XDocletException

  Throws:
    `XDocletException`

### ifIsForeignKeyMapping

    public void ifIsForeignKeyMapping(String template)
                               throws XDocletException

  Throws:
    `XDocletException`

### ifNotIsForeignKeyMapping

    public void ifNotIsForeignKeyMapping(String template)
                                  throws XDocletException

  Throws:
    `XDocletException`

### ifHasJdbcType

    public void ifHasJdbcType(String template,
                              Properties attributes)
                       throws XDocletException

  Throws:
    `XDocletException`

### jdbcType

    public String jdbcType()

### ifHasSqlType

    public void ifHasSqlType(String template,
                             Properties attributes)
                      throws XDocletException

  Throws:
    `XDocletException`

### sqlType

    public String sqlType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD